/**
 * Die Befehle der Registermaschine
 * 
 * @author Bernd Gramlich
 * @version 2015-01-19
 */
public enum Befehl
{
    ____ (0),
    LOAD (1),
    STORE (1),
    CLOAD (-1),
    ADD (1),
    SUB (1),
    MULT (1),
    DIV (1),
    JUMP (1),
    JGT (1),
    JGE (1),
    JEQ (1),
    JLE (1),
    JLT (1),
    INC (0),
    DEC (0),
    END (0)//,
    //ILOAD (1),
    //ISTORE (1)
    ;
    
    /*
     * Die Art des Arguments, das der Befehl benoetigt.
     * 
     *  0: keines
     *  1: nichtnegativ
     * -1: beliebig
     */
    private int argument;
    
    /*
     * Der Konstruktor ist private, da er nicht von aussen
     * aufgerufen werden soll.
     */
    private Befehl (int a)
    {
        argument = a;
    }
    
    /**
     * Nenne die Art des Arguments, das der Befehl braucht.
     */
    public int brauchtArgument ()
    {
        return argument;
    }
}
