/**
 * Die View (Praesentation) einer Registermaschine.
 * 
 * @author Bernd Gramlich
 * @version 2015-01-18
 */
public interface MaschinenView
{ 
    /**
     * Erlaube dem Benutzer, das Programm laufen zu lassen.
     * (Falls die View einen entsprechenden Button enthaelt,
     * sollte er aktiviert werden.)
     * 
     * @param erlaubt Laufen ist genau bei true erlaubt.
     */
    void erlaubeLaufen (boolean erlaubt);
    
    /**
     * Erlaube dem Benutzer, das Programm zu unterbrechen.
     * 
     * @param erlaubt Unterbrechen ist genau bei true erlaubt.
     */
    public void erlaubeUnterbrechen (boolean erlaubt);
    
    /**
     * Erlaube dem Benutzer, das Programm fortzusetzen.
     * (Falls die View einen entsprechenden Button enthaelt,
     * sollte er aktiviert werden.)
     * 
     * @param erlaubt Fortsetzen ist genau bei true erlaubt.
     */
    void erlaubeFortsetzen (boolean erlaubt);
    
    /**
     * Erlaube dem Benutzer, das Programm abzubrechen.
     * (Falls die View einen entsprechenden Button enthaelt,
     * sollte er aktiviert werden.)
     * 
     * @param erlaubt Abbrechen ist genau bei true erlaubt.
     */
    void erlaubeAbbrechen (boolean erlaubt);
    
    /**
     * Erlaube dem Benutzer, das Programm zu editieren.
     * (Falls die View entsprechende Buttons enthaelt,
     * sollten sie aktiviert werden.)
     * 
     * @param erlaubt Editieren ist genau bei true erlaubt.
     */
    void erlaubeEditieren (boolean erlaubt);
    
    /**
     * Erlaube dem Benutzer, das Programm zu speichern.
     * (Falls die View einen entsprechenden Button enthaelt,
     * sollte er aktiviert werden.)
     * 
     * @param erlaubt Speichern ist genau bei true erlaubt.
     */
    void erlaubeSpeichern (boolean erlaubt);
}